%define	version 1.1
%define kdename kcpuload
%define release 2mdk

Name: %{kdename}
Summary: KCPULoad A Small CPU usage Diagram meter for the KPanel.
Summary(fr):KCPULOAD Un petit diagramme de lusage du CPU pour le KPanel.
Version: %{version}
Release: %{release}
Source:  %{name}-%{version}.tar.bz2
URL: http://mag.hemmet.s-hem.chalmers.se/~mighty/kcpuload/index.shtml
Group: Monitoring
Copyright: GPL
Packager: Emmanuel Pare <ep@linux-mandrake.com>
BuildRoot: /var/tmp/%{name}-buildroot
Requires: qt >= 1.44 qt-egcs-10x libstdc++ >= 2.8.0 rpm >= 3.0 mandrake-release >= 5.2 kdelibs
Prefix: %{_prefix}

%description
KCPULoad is a small program for the KPanel.
It will show the CPU usage in form of a configureable diagram. There are
settings for colors and some different styles. Note that it isn't the real
system load that's showed, but the percent used of the total CPU power,
which is calculated from the number of CPU ticks.
means :).

%description -l fr
KCPULoad est un petit programme pour le KPanel. Il affiche lusage du CPU
sous forme de diagramme.  Il y a possibilite de modifier les couleurs et
le style du graphique. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build
export KDEDIR=%{_prefix}
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" 

./configure --prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT --disable-rpath

mkdir -p $RPM_BUILD_ROOT    
if [ "$SMP" != "" ]; then
  (make KDEDIR=$KDEDIR "MAKE=make -k -j $SMP"; exit 0)
  make KDEDIR=$KDEDIR
else
  make KDEDIR=$KDEDIR
fi

%install
export KDEDIR=%{_prefix}
make prefix=$RPM_BUILD_ROOT$KDEDIR install

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr (-,root,root)
/usr/bin/*
/usr/share/applnk/System/*
/usr/share/icons/*.xpm
/usr/share/icons/mini/*

%changelog
* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1-2mdk
- fix group
- fix files section

* Mon Aug 12 1999 Emmanuel Pare <ep@linux-mandrake.com>
- 1.1
- Updated description.
- Changed group.

* Mon Aug 11 1999 Emmanuel Pare <ep@linux-mandrake.com>

- 1.0
- Initial RPM for Linux-Mandrake.

